OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.APPLE.TextureRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLETextureRange :: MonadIO m => m Bool
- gl_APPLE_texture_range :: Bool
- gl_STORAGE_CACHED_APPLE :: GLenum
- gl_STORAGE_PRIVATE_APPLE :: GLenum
- gl_STORAGE_SHARED_APPLE :: GLenum
- gl_TEXTURE_RANGE_LENGTH_APPLE :: GLenum
- gl_TEXTURE_RANGE_POINTER_APPLE :: GLenum
- gl_TEXTURE_STORAGE_HINT_APPLE :: GLenum
- glGetTexParameterPointervAPPLE :: MonadIO m => GLenum -> GLenum -> Ptr (Ptr a) -> m ()
- glTextureRangeAPPLE :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetAPPLETextureRange :: MonadIO m => m Bool

Is the APPLE_texture_range extension supported?

gl_APPLE_texture_range :: Bool

Is the APPLE_texture_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLETextureRange` in those cases instead.

# Enums

gl_STORAGE_CACHED_APPLE :: GLenum

gl_STORAGE_PRIVATE_APPLE :: GLenum

gl_STORAGE_SHARED_APPLE :: GLenum

gl_TEXTURE_RANGE_LENGTH_APPLE :: GLenum

gl_TEXTURE_RANGE_POINTER_APPLE :: GLenum

gl_TEXTURE_STORAGE_HINT_APPLE :: GLenum

# Functions

glGetTexParameterPointervAPPLE

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

glTextureRangeAPPLE

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |